<ion-header>
  <ion-navbar>
    <ion-title>Register</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <h2 padding>Register with Pet Tracker!</h2>

  <form  [formGroup]="registerForm" (ngSubmit)="registerUser()" novalidate>
    <ion-list>
        <ion-item>
            <ion-label color="primary" stacked>Username (Email)</ion-label>
            <ion-input type="email" placeholder="Email" formControlName="email" clearInput></ion-input>
        </ion-item>

        <ion-item>
            <ion-label color="primary" stacked>Password</ion-label>
            <ion-input type="password" placeholder="Password" formControlName="password" clearInput></ion-input>
        </ion-item>
        <ion-item>
            <ion-label color="primary" stacked>Confirm Password</ion-label>
            <ion-input type="password" placeholder="Confirm Password"  formControlName="confirmPassword" clearInput></ion-input>
        </ion-item>
        <ion-item id="passwordMatch" *ngIf="registerForm.controls.confirmPassword.dirty && registerForm.controls.confirmPassword.errors?.MatchPassword">
          Password not match
        </ion-item>
    </ion-list>
    <div padding>
      <button ion-button block type="submit" [disabled]="!registerForm.valid">Register</button>
    </div>
  </form>
</ion-content>